Page MenuHomePhabricator

LQT Argument 1 passed to EditPage::__construct() must be an instance of Article, null given
Closed, ResolvedPublic

Description

PHP Catchable fatal error: Argument 1 passed to EditPage::__construct() must be an instance of Article, null given, called in /usr/local/apache/common-local/ph
p-1.20wmf9/extensions/LiquidThreads/classes/View.php on line 657 and defined in /usr/local/apache/common-local/php-1.20wmf9/includes/EditPage.php on line 239


Version: unspecified
Severity: normal

Details

Reference
bz39086

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:00 AM
bzimport set Reference to bz39086.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Aug 6 2012, 9:37 PM
demon set Security to None.
hashar lowered the priority of this task from Medium to Low.Jun 5 2015, 10:36 AM
Jdforrester-WMF lowered the priority of this task from Low to Lowest.Aug 4 2016, 11:34 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

demon closed this task as Resolved.Dec 15 2017, 1:27 AM
demon claimed this task.
demon added a subscriber: demon.

From reading the code, I don't see how this could be possible anymore. It would present with a different error now anyway with some of the way the code has changed.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM